#!/usr/bin/env python
# _*_ coding:utf-8 _*_


from PIL import Image
import qrcode
import sys

"""生成二维码"""

qr = qrcode.QRCode(
    version=1,
    error_correction=qrcode.constants.ERROR_CORRECT_M,
    box_size=10,
    border=1)

#qr.add_data("http://122.13.78.219/apk/DonewsHot_2.0.3_qijianRelease.apk")
qr.add_data(sys.argv[1])
qr.make(fit=True)

img = qr.make_image()
img = img.convert("RGBA")

icon = Image.open("/data/download_android/g.png") #用于填充的图片 

img_w, img_h = img.size
factor = 4
size_w = int(img_w / factor)
size_h = int(img_h / factor)

icon_w, icon_h = icon.size
if icon_w > size_w:
    icon_w = size_w
if icon_h > size_h:
    icon_h = size_h
icon = icon.resize((icon_w, icon_h), Image.ANTIALIAS).convert("RGBA")
#icon = icon.convert("RGBA")

w = int((img_w - icon_w) / 2)
h = int((img_h - icon_h) / 2)
img.paste(icon, (w, h), icon)

img.save(sys.argv[2])
